# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies
#
# If you believe there's an error in this file please file an
# issue against the rust-lang/cargo repository. If you're
# editing this file be aware that the upstream Cargo.toml
# will likely look very different (and much more reasonable)

[package]
edition = "2018"
name = "message_db"
version = "0.0.5"
authors = ["aldofunes"]
description = "Event-Sourced autonomous services for rust"
license = "MIT"
repository = "https://github.com/aldofunes/message_db/"
[dependencies.chrono]
version = "0.4.19"

[dependencies.log]
version = "0.4.14"

[dependencies.serde_json]
version = "1.0.64"

[dependencies.sqlx]
version = "0.5.1"
features = ["runtime-tokio-native-tls", "postgres", "uuid", "chrono", "json", "macros"]

[dependencies.tokio]
version = "1.4.0"
features = ["full"]

[dependencies.uuid]
version = "0.8.2"
features = ["serde", "v4"]
[dev-dependencies.async-trait]
version = "0.1.48"

[dev-dependencies.rand]
version = "0.8.3"

[dev-dependencies.test-context]
version = "0.1.3"
